FlagsAttributeImpl (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.tokenattributes.FlagsAttributeImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.tokenattributes
Class FlagsAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.analysis.tokenattributes.FlagsAttributeImpl

All Implemented Interfaces:
  Serializable, Cloneable, FlagsAttribute, Attribute

    public class FlagsAttributeImpl

extends AttributeImpl
implements FlagsAttribute, Cloneable, Serializable

This attribute can be used to pass different flags down the tokenizer chain, eg from one TokenFilter to another one.

See Also:
  Serialized Form
WARNING: This API is experimental and might change in incompatible ways in the next release.
  While we think this is here to stay, we may want to change it to be a long.

Field Summary

Fields inherited from class org.apache.lucene.util.AttributeImpl
`enableBackwards`

Constructor Summary
`FlagsAttributeImpl()`

Method Summary
`void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
`void` | `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
`boolean` | `equals(Object other)`
`int` | `getFlags()` Get the bitset for any bits that have been set.
`int` | `hashCode()`
`void` | `setFlags(int flags)`

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlagsAttributeImpl

    public FlagsAttributeImpl()

Method Detail

### getFlags

    public int getFlags()

  Get the bitset for any bits that have been set. This is completely distinct from `TypeAttribute.type()`, although they do share similar purposes. The flags can be used to encode information about the token for use by other `TokenFilter`s.

  Specified by:
    `getFlags` in interface `FlagsAttribute`
  Returns:
    The bits

### setFlags

    public void setFlags(int flags)

  Specified by:
    `setFlags` in interface `FlagsAttribute`
  See Also:
    `getFlags()`

### clear

    public void clear()

  Description copied from class: `AttributeImpl`
  Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.

  Specified by:
    `clear` in class `AttributeImpl`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### copyTo

    public void copyTo(AttributeImpl target)

  Description copied from class: `AttributeImpl`
  Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.

  Specified by:
    `copyTo` in class `AttributeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD